package com.example.jniapp

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.example.jniapp.databinding.ActivityJniBinding

class JniActivity : AppCompatActivity() {
    private lateinit var binding: ActivityJniBinding

    companion object {
        init {
            System.loadLibrary("native-lib")
        }
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        // 初始化 View Binding
        binding = ActivityJniBinding.inflate(layoutInflater)
        setContentView(binding.root)

        // 显示来自 JNI 的字符串
        binding.tvJni.text = stringFromJNI()
    }

    private external fun stringFromJNI(): String
}